{
   "format_version":"1.20.10",
   "minecraft:recipe_shaped": {
      "description":{
         "identifier":"sgs_farm:millstone_recipe"
      },
	  
      "tags":[
         "sgs_farm_workbench_blueprint"
      ],
      "pattern": [
		"SFS",
		"PTP",
		"MMM"
	],
    "key": {
		"S": {"item": "minecraft:stick"},
		"P": {"tag": "minecraft:planks"},
		"F": {"item": "minecraft:fence"},
		"T": {"item": "minecraft:normal_stone_slab"},
		"M": {"item": "minecraft:stone"}
		
	},
	  
   "unlock":{
      "context":"AlwaysUnlocked"
   },
	  
      "result":[
        { "item":"sgs_farm:fun_millstone"}
      
      ]
   }
}